org.opencv.face

## Class FisherFaceRecognizer

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.face.FaceRecognizer
    - - org.opencv.face.BasicFaceRecognizer
      - - org.opencv.face.FisherFaceRecognizer

-     public class FisherFaceRecognizer
      extends BasicFaceRecognizer

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `FisherFaceRecognizer(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FisherFaceRecognizer` | `__fromPtr__(long addr)`
    `static FisherFaceRecognizer` | `create()` Discriminant Analysis with the Fisherfaces criterion.
    `static FisherFaceRecognizer` | `create(int num_components)`
    `static FisherFaceRecognizer` | `create(int num_components, double threshold)`
    `protected void` | `finalize()`

    - ### Methods inherited from class org.opencv.face.BasicFaceRecognizer

      `getEigenValues, getEigenVectors, getLabels, getMean, getNumComponents, getProjections, getThreshold, setNumComponents, setThreshold`

    - ### Methods inherited from class org.opencv.face.FaceRecognizer

      `getLabelInfo, getLabelsByString, predict_collect, predict_label, predict, read, setLabelInfo, train, update, write`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FisherFaceRecognizer

          protected FisherFaceRecognizer(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static FisherFaceRecognizer __fromPtr__(long addr)

    - #### create

          public static FisherFaceRecognizer create(int num_components,
                                                    double threshold)

      Parameters:
        `num_components` - The number of components (read: Fisherfaces) kept for this Linear Discriminant Analysis with the Fisherfaces criterion. It's useful to keep all components, that means the number of your classes c (read: subjects, persons you want to recognize). If you leave this at the default (0) or set it to a value less-equal 0 or greater (c-1), it will be set to the correct number (c-1) automatically.
        `threshold` - The threshold applied in the prediction. If the distance to the nearest neighbor is larger than the threshold, this method returns -1. ### Notes:
        - Training and prediction must be done on grayscale images, use cvtColor to convert between the color spaces.
        - THE FISHERFACES METHOD MAKES THE ASSUMPTION, THAT THE TRAINING AND TEST IMAGES ARE OF EQUAL SIZE. (caps-lock, because I got so many mails asking for this). You have to make sure your input data has the correct shape, else a meaningful exception is thrown. Use resize to resize the images.
        - This model does not support updating.
        ### Model internal data:
        - num_components see FisherFaceRecognizer::create.
        - threshold see FisherFaceRecognizer::create.
        - eigenvalues The eigenvalues for this Linear Discriminant Analysis (ordered descending).
        - eigenvectors The eigenvectors for this Linear Discriminant Analysis (ordered by their eigenvalue).
        - mean The sample mean calculated from the training data.
        - projections The projections of the training data.
        - labels The labels corresponding to the projections.
      Returns:
        automatically generated

    - #### create

          public static FisherFaceRecognizer create(int num_components)

      Parameters:
        `num_components` - The number of components (read: Fisherfaces) kept for this Linear Discriminant Analysis with the Fisherfaces criterion. It's useful to keep all components, that means the number of your classes c (read: subjects, persons you want to recognize). If you leave this at the default (0) or set it to a value less-equal 0 or greater (c-1), it will be set to the correct number (c-1) automatically. is larger than the threshold, this method returns -1. ### Notes:
        - Training and prediction must be done on grayscale images, use cvtColor to convert between the color spaces.
        - THE FISHERFACES METHOD MAKES THE ASSUMPTION, THAT THE TRAINING AND TEST IMAGES ARE OF EQUAL SIZE. (caps-lock, because I got so many mails asking for this). You have to make sure your input data has the correct shape, else a meaningful exception is thrown. Use resize to resize the images.
        - This model does not support updating.
        ### Model internal data:
        - num_components see FisherFaceRecognizer::create.
        - threshold see FisherFaceRecognizer::create.
        - eigenvalues The eigenvalues for this Linear Discriminant Analysis (ordered descending).
        - eigenvectors The eigenvectors for this Linear Discriminant Analysis (ordered by their eigenvalue).
        - mean The sample mean calculated from the training data.
        - projections The projections of the training data.
        - labels The labels corresponding to the projections.
      Returns:
        automatically generated

    - #### create

          public static FisherFaceRecognizer create()

      Discriminant Analysis with the Fisherfaces criterion. It's useful to keep all components, that means the number of your classes c (read: subjects, persons you want to recognize). If you leave this at the default (0) or set it to a value less-equal 0 or greater (c-1), it will be set to the correct number (c-1) automatically. is larger than the threshold, this method returns -1. ### Notes:
      - Training and prediction must be done on grayscale images, use cvtColor to convert between the color spaces.
      - THE FISHERFACES METHOD MAKES THE ASSUMPTION, THAT THE TRAINING AND TEST IMAGES ARE OF EQUAL SIZE. (caps-lock, because I got so many mails asking for this). You have to make sure your input data has the correct shape, else a meaningful exception is thrown. Use resize to resize the images.
      - This model does not support updating.
      ### Model internal data:
      - num_components see FisherFaceRecognizer::create.
      - threshold see FisherFaceRecognizer::create.
      - eigenvalues The eigenvalues for this Linear Discriminant Analysis (ordered descending).
      - eigenvectors The eigenvectors for this Linear Discriminant Analysis (ordered by their eigenvalue).
      - mean The sample mean calculated from the training data.
      - projections The projections of the training data.
      - labels The labels corresponding to the projections.
      Returns:
        automatically generated

    - #### finalize

          protected void finalize()
                           throws Throwable

      Overrides:
        `finalize` in class `BasicFaceRecognizer`
      Throws:
        `Throwable`

Generated on Wed Oct 9 2019 16:55:37 UTC / OpenCV 3.4.8